Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/include/G4QCoherentChargeExchange.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/include/G4QCoherentChargeExchange.hh	(revision 1007)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/include/G4QCoherentChargeExchange.hh	(revision 1055)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: G4QCoherentChargeExchange.hh,v 1.5 2008/10/02 21:10:07 dennis Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4QCoherentChargeExchange.hh,v 1.6 2009/02/23 09:49:24 mkossov Exp $
+// GEANT4 tag $Name: geant4-09-03-beta-cand-01 $
 //
 //      ---------------- G4QCoherentChargeExchange header ----------------
@@ -33,9 +33,28 @@
 // This is a unique CHIPS class for the Hadron-Nuclear Elastic Scattering Prosesses
 // -------------------------------------------------------------------------------
-// At present (Jan-06) only proton-proton scattering is implemented The interaction with
-// nuclei are planned only. The scattering of nuclei on nuclei are possible...
+// At present (Jan-06) only proton-to-neutron & neutron-to-proton scattering on nuclei
+// are implemented. The scattering of mesons and nuclei on nuclei are possible...
 // The simulation is based on the CHIPS approximation of total elastic and differential
 // elastic cross sections from E=0 to the highest energyes.
 // -------------------------------------------------------------------------------
+// Short description: This class resolves an ambiguity in the definition of the
+// "inelastic" cross section. As it was shown in Ph.D.Thesis (M.Kosov,ITEP,1979)
+// it is more reasonable to subdivide the total cross-section in the coherent &
+// incoherent parts, but the measuring method for the "inelastic" cross-sections
+// consideres the lack of the projectile within the narrow forward solid angle
+// with the consequent extrapolation of these partial cross-sections, corresponding
+// to the particular solid angle, to the zero solid angle. The low angle region
+// is shadowed by the elastic (coherent) scattering. BUT the coherent charge
+// exchange (e.g. conversion p->n) is included by this procedure as a constant term
+// in the extrapolation, so the "inelastic" cross-section differes from the
+// incoherent cross-section by the value of the coherent charge exchange cross
+// section. Fortunately, this cross-sectoion drops ruther fast with energy increasing.
+// All Geant4 inelastic hadronic models (including CHIPS) simulate the incoherent
+// reactions. So the incoherent (including quasielastic) cross-section must be used
+// instead of the inelastic cross-section. For that the "inelastic" cross-section
+// must be reduced by the value of the coherent charge-exchange cross-section, which
+// is estimated (it must be tuned!) in this CHIPS class. The angular distribution
+// is made (at present) identical to the corresponding coherent-elastic scattering 
+// -----------------------------------------------------------------------------------
 
 #ifndef G4QCoherentChargeExchange_hh
@@ -84,5 +103,5 @@
   // (energy, material)
   // The previousStepSize and G4ForceCondition* are not used.
-  // This function overloads a virtual function of the base class.		      
+  // This function overloads a virtual function of the base class.        
   // It is invoked by the ProcessManager of the Particle.
  
@@ -90,5 +109,5 @@
   G4VParticleChange* PostStepDoIt(const G4Track& aTrack, const G4Step& aStep); 
   // It computes the final state of the process (at end of step),
-  // returned as a ParticleChange object.			    
+  // returned as a ParticleChange object.       
   // This function overloads a virtual function of the base class.
   // It is invoked by the ProcessManager of the Particle.
@@ -110,5 +129,5 @@
   G4double CalculateXSt(G4bool oxs, G4bool xst, G4double p, G4int Z, G4int N, G4int pPDG);
 
-		// BODY
+  // BODY
   // Static Parameters --------------------------------------------------------------------
   static G4int    nPartCWorld; // The#of particles for hadronization (limit of A of fragm.)
@@ -128,3 +147,2 @@
 };
 #endif
-
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/include/G4QCollision.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/include/G4QCollision.hh	(revision 1007)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/include/G4QCollision.hh	(revision 1055)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: G4QCollision.hh,v 1.11 2008/10/02 21:10:07 dennis Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4QCollision.hh,v 1.13 2009/03/23 14:12:49 mkossov Exp $
+// GEANT4 tag $Name: geant4-09-03-beta-cand-01 $
 //
 //      ---------------- G4QCollision header ----------------
@@ -67,4 +67,7 @@
 // ******* DO NOT MAKE ANY CHANGE! With time it'll move back to photolepton...(M.K.) ******
 // ****************************************************************************************
+// Short description: This is a universal class for the incoherent (inelastic)
+// nuclear interactions in the CHIPS model.
+// ---------------------------------------------------------------------------
 
 #ifndef G4QCollision_hh
@@ -86,4 +89,5 @@
 #include "G4LorentzVector.hh"
 #include "G4HadronicProcessType.hh"
+#include "G4RandomDirection.hh"
 
 // CHIPS Headers
@@ -124,5 +128,5 @@
   // (energy, material)
   // The previousStepSize and G4ForceCondition* are not used.
-  // This function overloads a virtual function of the base class.		      
+  // This function overloads a virtual function of the base class.        
   // It is invoked by the ProcessManager of the Particle.
  
@@ -130,5 +134,5 @@
   G4VParticleChange* PostStepDoIt(const G4Track& aTrack, const G4Step& aStep); 
   // It computes the final state of the process (at end of step),
-  // returned as a ParticleChange object.			    
+  // returned as a ParticleChange object.       
   // This function overloads a virtual function of the base class.
   // It is invoked by the ProcessManager of the Particle.
@@ -170,5 +174,5 @@
   std::pair<G4double,G4double> Random2DDirection();
 
-		// BODY
+  // BODY
   // Static Parameters --------------------------------------------------------------------
   static G4bool   manualFlag;  // If false then standard parameters are used
@@ -207,3 +211,2 @@
 };
 #endif
-
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/include/G4QDiffraction.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/include/G4QDiffraction.hh	(revision 1007)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/include/G4QDiffraction.hh	(revision 1055)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: G4QDiffraction.hh,v 1.2 2008/10/02 21:10:07 dennis Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4QDiffraction.hh,v 1.3 2009/02/23 09:49:24 mkossov Exp $
+// GEANT4 tag $Name: geant4-09-03-beta-cand-01 $
 //
 //      ---------------- G4QDiffraction header ----------------
@@ -36,4 +36,14 @@
 // The normalization is based on the temporary G4QProtonNuclearCrossSection class
 // -------------------------------------------------------------------------------
+// Short description: This is a process, which describes the diffraction
+// excitation of the projectile and the nucleus. On nuclei in addition there
+// can be a coherent diffraction process for the projectile, but it is
+// comparably small. The most important part of the diffraction is the
+// progectile diffraction excitation, as in this interaction proton can lose
+// only a small part of its energy and make the shower longer. This is because
+// only 1-2 (n) pions are produce in the diffraction escitation, and the mean
+// kept energy of the nucleon is (1-n/7)=80%. For kaons the kept energy is much
+// smaller (1-n/3.5)=60%, and for pions it is less important (about 40%).
+// ----------------------------------------------------------------------------
 
 #ifndef G4QDiffraction_hh
@@ -82,5 +92,5 @@
   // (energy, material)
   // The previousStepSize and G4ForceCondition* are not used.
-  // This function overloads a virtual function of the base class.		      
+  // This function overloads a virtual function of the base class.        
   // It is invoked by the ProcessManager of the Particle.
  
@@ -88,5 +98,5 @@
   G4VParticleChange* PostStepDoIt(const G4Track& aTrack, const G4Step& aStep); 
   // It computes the final state of the process (at end of step),
-  // returned as a ParticleChange object.			    
+  // returned as a ParticleChange object.       
   // This function overloads a virtual function of the base class.
   // It is invoked by the ProcessManager of the Particle.
@@ -108,5 +118,5 @@
   G4double CalculateXS(G4double p, G4int Z, G4int N, G4int pPDG);
 
-		// BODY
+  // BODY
   // Static Parameters --------------------------------------------------------------------
   static G4int    nPartCWorld; // The#of particles for hadronization (limit of A of fragm.)
@@ -126,3 +136,2 @@
 };
 #endif
-
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/include/G4QDiffractionRatio.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/include/G4QDiffractionRatio.hh	(revision 1007)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/include/G4QDiffractionRatio.hh	(revision 1055)
@@ -25,5 +25,5 @@
 //
 //
-// GEANT4 tag $Name: geant4-09-02 $
+// GEANT4 tag $Name: geant4-09-03-beta-cand-01 $
 //
 //
@@ -32,4 +32,8 @@
 // The last update: M.V. Kossov, CERN/ITEP (Moscow) 15-Oct-2006
 //
+//=======================================================================
+// Short description: Difraction excitation is a part of the incoherent
+// (inelastic) interaction. This part is calculated in the class.
+// --------------------------------------------------------------------
 
 #ifndef G4QDiffractionRatio_h
@@ -88,4 +92,4 @@
  // Body
  private:
-}; 					
+};      
 #endif
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/include/G4QDiscProcessMixer.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/include/G4QDiscProcessMixer.hh	(revision 1007)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/include/G4QDiscProcessMixer.hh	(revision 1055)
@@ -24,16 +24,14 @@
 // ********************************************************************
 //
-// $Id: G4QDiscProcessMixer.hh,v 1.3 2008/07/09 19:45:09 dennis Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4QDiscProcessMixer.hh,v 1.6 2009/04/17 15:22:31 mkossov Exp $
+// GEANT4 tag $Name: geant4-09-03-beta-cand-01 $
 //
 //      ---------------- G4QDiscProcessMixer header ----------------
 //                 by Mikhail Kossov, Aug 2007.
-//  Header of G4QDiscProcessMixer class (hadron+A) of the CHIPS Simulation Branch in GEANT4
-// -------------------------------------------------------------------------------
-// This is a unique CHIPS class for the Hadron-Nuclear Diffractive Interaction Prosesses
-// -------------------------------------------------------------------------------
-// At present (Aug-07) it is not tested.
-// The normalization is based on the temporary G4QIonIonCrossSection class
-// -------------------------------------------------------------------------------
+//  Header of G4QDiscProcessMixer class of the CHIPS Simulation Branch in GEANT4
+// -----------------------------------------------------------------------------
+// Short description: universal mixer of processes (NOT models as in GHAD!)
+// depending on the application energy region (defined by users).
+// ------------------------------------------------------------------------
 
 #ifndef G4QDiscProcessMixer_hh
@@ -68,5 +66,4 @@
                       const G4ParticleDefinition* proj = G4Gamma::Gamma(),
                       G4ProcessType pType = fHadronic );
-
   // Destructor
   ~G4QDiscProcessMixer();
@@ -76,9 +73,17 @@
   G4double PostStepGetPhysicalInteractionLength(const G4Track& track,
                                                 G4double previousStepSize,
-			                                             G4ForceCondition* condition);
+                                                G4ForceCondition* condition);
+
+  G4double GetMeanFreePath(const G4Track& aTrack, G4double previousStepSize,
+                           G4ForceCondition* condition);
 
   G4VParticleChange* PostStepDoIt(const G4Track& aTrack, const G4Step& aStep); 
 
-  void AddDiscreteProcess(G4VDiscreteProcess* DP, G4double ME);
+  // DP is the name of the Discrete Process, MaxE is the maximum energy for this process
+  // The processes must be defined, starting from high energy processes (MaxE decreasing)
+  // The MaxE for the first (highest energy process) is always infinity (automatic)
+  // The MinE = MaxE of the lower energy process (MinE=0 for the lowest energy process)
+
+  void AddDiscreteProcess(G4VDiscreteProcess* DP, G4double MaxE);
 
   //G4LorentzVector GetEnegryMomentumConservation();
@@ -94,5 +99,5 @@
   G4QDiscProcessMixer(const G4QDiscProcessMixer& DPM);
 
-		// BODY
+  // BODY
   const G4ParticleDefinition* DPParticle;             // Particle for DiscreteProc mixture
   G4QDiscreteProcessVector theDPVector;               // Vector of Discrete Processes
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/include/G4QDiscreteProcessVector.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/include/G4QDiscreteProcessVector.hh	(revision 1007)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/include/G4QDiscreteProcessVector.hh	(revision 1055)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4QDiscreteProcessVector.hh,v 1.1 2007/08/28 15:48:15 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4QDiscreteProcessVector.hh,v 1.2 2009/02/23 09:49:24 mkossov Exp $
+// GEANT4 tag $Name: geant4-09-03-beta-cand-01 $
 //
 //      ---------------- G4QDiscreteProcessVector ----------------
@@ -32,4 +32,8 @@
 // Type defenition for Vectors of DiscreteProcesses (G4VDiscreteProcess)
 // ---------------------------------------------------------------------
+// Short description: universal mixer of processes (NOT models as in GHAD!)
+// depending on the application energy region G4QDiscProcessMixer is using
+// this vector of the Geant4 processes.
+// ------------------------------------------------------------------------
 
 #ifndef G4QDiscreteProcessVector_h
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/include/G4QElastic.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/include/G4QElastic.hh	(revision 1007)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/include/G4QElastic.hh	(revision 1055)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: G4QElastic.hh,v 1.4 2008/10/02 21:10:07 dennis Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4QElastic.hh,v 1.5 2009/02/23 09:49:24 mkossov Exp $
+// GEANT4 tag $Name: geant4-09-03-beta-cand-01 $
 //
 //      ---------------- G4QElastic header ----------------
@@ -38,4 +38,8 @@
 // elastic cross sections from E=0 to the highest energyes.
 // -------------------------------------------------------------------------------
+// Short description: At present this is a process for nucleon-nucleus
+// elastic scattering. Mesons and hyperons exist only for the Hydrogen
+// target (see G4QuasiFreeRatios).
+// ---------------------------------------------------------------
 
 #ifndef G4QElastic_hh
@@ -83,5 +87,5 @@
   // (energy, material)
   // The previousStepSize and G4ForceCondition* are not used.
-  // This function overloads a virtual function of the base class.		      
+  // This function overloads a virtual function of the base class.        
   // It is invoked by the ProcessManager of the Particle.
  
@@ -89,5 +93,5 @@
   G4VParticleChange* PostStepDoIt(const G4Track& aTrack, const G4Step& aStep); 
   // It computes the final state of the process (at end of step),
-  // returned as a ParticleChange object.			    
+  // returned as a ParticleChange object.       
   // This function overloads a virtual function of the base class.
   // It is invoked by the ProcessManager of the Particle.
@@ -109,5 +113,5 @@
   G4double CalculateXSt(G4bool oxs, G4bool xst, G4double p, G4int Z, G4int N, G4int pPDG);
 
-		// BODY
+  // BODY
   // Static Parameters --------------------------------------------------------------------
   static G4int    nPartCWorld; // The#of particles for hadronization (limit of A of fragm.)
@@ -127,3 +131,2 @@
 };
 #endif
-
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/include/G4QElasticCrossSection.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/include/G4QElasticCrossSection.hh	(revision 1007)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/include/G4QElasticCrossSection.hh	(revision 1055)
@@ -25,5 +25,5 @@
 //
 //
-// GEANT4 tag $Name: geant4-09-02 $
+// GEANT4 tag $Name: geant4-09-03-beta-cand-01 $
 //
 //
@@ -32,4 +32,7 @@
 // The last update: M.V. Kossov, CERN/ITEP (Moscow) 15-Oct-2006
 //
+//================================================================================
+// Short description: Interaction cross-sections for the G4QElastic process
+// -------------------------------------------------------------------------------
 
 #ifndef G4QElasticCrossSection_h
@@ -121,12 +124,12 @@
   static G4double* lastCST;  // Last cross-section table
   static G4double* lastPAR;  // Last parameters for functional calculation
-  static G4double* lastSST;  // E-dep of squared slope of the first difruction	
-  static G4double* lastS1T;  // E-dep of mantissa of the first difruction	
+  static G4double* lastSST;  // E-dep of squared slope of the first difruction 
+  static G4double* lastS1T;  // E-dep of mantissa of the first difruction 
   static G4double* lastB1T;  // E-dep of the slope of the first difruction
   static G4double* lastS2T;  // E-dep of mantissa of the second difruction
   static G4double* lastB2T;  // E-dep of the slope of theSecond difruction
-  static G4double* lastS3T;  // E-dep of mantissa of the third difruction	
+  static G4double* lastS3T;  // E-dep of mantissa of the third difruction 
   static G4double* lastB3T;  // E-dep of the slope of the third difruction
-  static G4double* lastS4T;  // E-dep of mantissa of the 4-th difruction	
+  static G4double* lastS4T;  // E-dep of mantissa of the 4-th difruction 
   static G4double* lastB4T;  // E-dep of the slope of the 4-th difruction
 
@@ -142,4 +145,4 @@
   static std::vector <G4double*> S4T;   // Vector of the 4-th mantissa (gloria)
   static std::vector <G4double*> B4T;   // Vector of the 4-th slope    (gloria)
- }; 					
+ };
 #endif
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/include/G4QElectronNuclearCrossSection.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/include/G4QElectronNuclearCrossSection.hh	(revision 1007)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/include/G4QElectronNuclearCrossSection.hh	(revision 1055)
@@ -25,5 +25,5 @@
 //
 //
-// GEANT4 tag $Name: geant4-09-02 $
+// GEANT4 tag $Name: geant4-09-03-beta-cand-01 $
 //
 //
@@ -32,4 +32,8 @@
 // The last update: M.V. Kossov, CERN/ITEP (Moscow) 25-Sept-03
 //
+// --------------------------------------------------------------------------------
+// Short description: reaction cross-sections for electron-nuclear reactions, which
+// are integrals over virtual equivalent photons photons.
+// --------------------------------------------------------------------------------
 
 #ifndef G4QElectronNuclearCrossSection_h
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/include/G4QGluonString.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/include/G4QGluonString.hh	(revision 1007)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/include/G4QGluonString.hh	(revision 1055)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: G4QGluonString.hh,v 1.2 2008/10/02 21:10:07 dennis Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4QGluonString.hh,v 1.3 2009/02/23 09:49:24 mkossov Exp $
+// GEANT4 tag $Name: geant4-09-03-beta-cand-01 $
 //
 //      ---------------- G4QGluonString header ----------------
@@ -44,4 +44,6 @@
 // *********** DO NOT MAKE ANY CHANGE without approval of Mikhail.Kossov@cern.ch **********
 // ****************************************************************************************
+// Short description: CHIPS object for the Quark-Gluon String
+// ---------------------------------------------------------------
 
 #ifndef G4QGluonString_hh
@@ -89,10 +91,10 @@
   // (energy, material)
   // The previousStepSize and G4ForceCondition* are not used.
-  // This function overloads a virtual function of the base class.		      
+  // This function overloads a virtual function of the base class.        
   // It is invoked by the ProcessManager of the Particle.
  
   G4VParticleChange* PostStepDoIt(const G4Track& aTrack, const G4Step& aStep); 
   // It computes the final state of the process (at end of step),
-  // returned as a ParticleChange object.			    
+  // returned as a ParticleChange object.       
   // This function overloads a virtual function of the base class.
   // It is invoked by the ProcessManager of the Particle.
@@ -126,5 +128,5 @@
   G4QGluonString(const G4QGluonString&);
 
-		// BODY
+  // BODY
   // Static Parameters --------------------------------------------------------------------
   static G4bool   manualFlag;  // If false then standard parameters are used
@@ -160,3 +162,2 @@
 };
 #endif
-
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/include/G4QIonIonCrossSection.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/include/G4QIonIonCrossSection.hh	(revision 1007)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/include/G4QIonIonCrossSection.hh	(revision 1055)
@@ -23,7 +23,9 @@
 // * acceptance of all terms of the Geant4 Software license.          *
 // ********************************************************************
+// Short description: CHIPS cross-sectons for Ion-Ion interactions
+// ---------------------------------------------------------------
 //
 //
-// GEANT4 tag $Name: geant4-09-02 $
+// GEANT4 tag $Name: geant4-09-03-beta-cand-01 $
 //
 //
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/include/G4QIonIonElastic.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/include/G4QIonIonElastic.hh	(revision 1007)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/include/G4QIonIonElastic.hh	(revision 1055)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: G4QIonIonElastic.hh,v 1.2 2008/10/02 21:10:07 dennis Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4QIonIonElastic.hh,v 1.3 2009/02/23 09:49:24 mkossov Exp $
+// GEANT4 tag $Name: geant4-09-03-beta-cand-01 $
 //
 //      ---------------- G4QIonIonElastic header ----------------
@@ -35,7 +35,7 @@
 // @@ This class is on the testing level @@
 // -------------------------------------------------------------------------------
-// ****************************************************************************************
-// ********** This CLASS is temporary moved from the photolepton_hadron directory *********
-// ****************************************************************************************
+// Short description: a simple process for the Ion-Ion elastic scattering.
+// For heavy by heavy ions it can reach 50% of the total cross-section.
+// -----------------------------------------------------------------------
 
 #ifndef G4QIonIonElastic_hh
@@ -84,5 +84,5 @@
   // (energy, material)
   // The previousStepSize and G4ForceCondition* are not used.
-  // This function overloads a virtual function of the base class.		      
+  // This function overloads a virtual function of the base class.        
   // It is invoked by the ProcessManager of the Particle.
  
@@ -90,5 +90,5 @@
   G4VParticleChange* PostStepDoIt(const G4Track& aTrack, const G4Step& aStep); 
   // It computes the final state of the process (at end of step),
-  // returned as a ParticleChange object.			    
+  // returned as a ParticleChange object.       
   // This function overloads a virtual function of the base class.
   // It is invoked by the ProcessManager of the Particle.
@@ -107,5 +107,5 @@
   G4QIonIonElastic(const G4QIonIonElastic&);
 
-		// BODY
+  // BODY
   // Static Parameters --------------------------------------------------------------------
   static G4int    nPartCWorld; // The#of particles for hadronization (limit of A of fragm.)
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/include/G4QLowEnergy.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/include/G4QLowEnergy.hh	(revision 1007)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/include/G4QLowEnergy.hh	(revision 1055)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: G4QLowEnergy.hh,v 1.4 2008/10/02 21:10:07 dennis Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4QLowEnergy.hh,v 1.6 2009/03/09 15:41:17 mkossov Exp $
+// GEANT4 tag $Name: geant4-09-03-beta-cand-01 $
 //
 //      ---------------- G4QLowEnergy header ----------------
@@ -31,9 +31,14 @@
 //  Header of G4QLowEnergy class (A+A) of the CHIPS Simulation Branch in GEANT4
 // -------------------------------------------------------------------------------
-// This is a unique CHIPS class for the Ion-Ion Low Energy Inelastic Interaction Prosesses
+// This is a unique CHIPS class for the Ion-Ion Low Energy Inelastic Interactions
 // -------------------------------------------------------------------------------
 // At present (Aug-07) it is not tested.
 // The normalization is based on the temporary G4QIonIonCrossSection class
 // -------------------------------------------------------------------------------
+// Short description: This is a fast low energy algorithm for the
+// inelastic interactions of nucleons and nuclei (ions) with nuclei.
+// This is a fase-space algorithm, but not quark level. Provides
+// nuclear fragments upto alpha only. Never was tumed (but can be).
+// ---------------------------------------------------------------
 
 #ifndef G4QLowEnergy_hh
@@ -60,4 +65,5 @@
 #include "G4QNucleus.hh"
 #include "G4QIonIonCrossSection.hh"
+#include "G4QProtonNuclearCrossSection.hh"
 #include "G4QIsotope.hh"
 #include "G4QPDGToG4Particle.hh"
@@ -83,5 +89,5 @@
   // (energy, material)
   // The previousStepSize and G4ForceCondition* are not used.
-  // This function overloads a virtual function of the base class.		      
+  // This function overloads a virtual function of the base class.        
   // It is invoked by the ProcessManager of the Particle.
  
@@ -89,5 +95,5 @@
   G4VParticleChange* PostStepDoIt(const G4Track& aTrack, const G4Step& aStep); 
   // It computes the final state of the process (at end of step),
-  // returned as a ParticleChange object.			    
+  // returned as a ParticleChange object.       
   // This function overloads a virtual function of the base class.
   // It is invoked by the ProcessManager of the Particle.
@@ -112,5 +118,5 @@
   G4double CalculateXS(G4double p, G4int Z, G4int N, G4int pPDG);
 
-		// BODY
+  // BODY
   // Static Parameters --------------------------------------------------------------------
   static G4int    nPartCWorld; // The#of particles for hadronization (limit of A of fragm.)
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/include/G4QMuonNuclearCrossSection.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/include/G4QMuonNuclearCrossSection.hh	(revision 1007)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/include/G4QMuonNuclearCrossSection.hh	(revision 1055)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4QMuonNuclearCrossSection.hh,v 1.6 2008/10/24 19:23:25 dennis Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4QMuonNuclearCrossSection.hh,v 1.7 2009/02/23 09:49:24 mkossov Exp $
+// GEANT4 tag $Name: geant4-09-03-beta-cand-01 $
 //
 //
@@ -39,4 +39,8 @@
 // ******* DO NOT MAKE ANY CHANGE! With time it'll move back to photolepton...(M.K.) ******
 // ****************************************************************************************
+// Short description: reaction cross-sections for muon-nuclear reactions, which
+// are integrals over virtual equivalent photons photons. The muon-nuclear GHAD
+// model (not CHIPS) gives 2-3 times smaller scattering angle and deposited energy.
+// --------------------------------------------------------------------------------
 
 #ifndef G4QMuonNuclearCrossSection_h
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/include/G4QNeutronNuclearCrossSection.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/include/G4QNeutronNuclearCrossSection.hh	(revision 1007)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/include/G4QNeutronNuclearCrossSection.hh	(revision 1055)
@@ -25,5 +25,5 @@
 //
 //
-// GEANT4 tag $Name: geant4-09-02 $
+// GEANT4 tag $Name: geant4-09-03-beta-cand-01 $
 //
 //
@@ -32,8 +32,7 @@
 // The last update: M.V. Kossov, CERN/ITEP (Moscow) 17-May-02
 //
-// ****************************************************************************************
-// ********* This HEADER is temporary moved from the photolepton_hadron directory *********
-// ******* DO NOT MAKE ANY CHANGE! With time it'll move back to photolepton...(M.K.) ******
-// ****************************************************************************************
+// -------------------------------------------------------------------
+// Short description: neutron-nuclear cross-section for hadronic CHIPS
+// -------------------------------------------------------------------
 
 #ifndef G4QNeutronNuclearCrossSection_h
